;
; Betrieb steuert den Ablauf

betrieb:
	lds		acc,betsta
	sbrs	acc,0
	rjmp	bet0
	sbrs	acc,1
	rjmp	bet1
    rjmp    bet2
	
	
; Standby, warte auf mindestens 3V

bet0:
;    rjmp    bet0a
	sbi		portd,alleaus
	sbi		portb,led
	lds		acc,istu
	tst		acc
	brne	bet0a
	lds		acc,istu+1
	cpi		acc,volt2  		; mind 2V?
	brcc	bet0a
	ldi		acc,1
	sts		meldungen,acc
	ret                     ; nein
bet0a:
	ldi		acc,0b00000001
	sts		betsta,acc
	ret
	
; normaler Betrieb

bet1:
	lds		acc,istu 		
	tst		acc
	brne	bet1a
; mindestens 3V oder mindestens 100mA?
	lds		acc,istu+1
	cpi		acc,Volt2       ; 2V?
	brcc	bet1a			; ja
	lds		acc,isti
	tst		acc
	brne	bet1a			; Strom noch vorhanden!
	lds		acc,isti+1
	cpi		acc,ma100
	brcc	bet1a			; Strom ber 100mA!
	clr		acc
	sts		betsta,acc
	ret
; Khlkrper unter 80 ?
bet1a:
	lds		acc,temperatur+1
	ldi		acc2,low(grad80)
	sub		acc,acc2
	lds		acc,temperatur
	ldi		acc2,high(grad80)
	sbc		acc,acc2
	brcs	bet1b
	ldi		acc,2
	sts		meldungen,acc
	ldi		acc,0b0000011
	sts		betsta,acc
	ret
; berspannung?
bet1b:
	lds		acc,inbytec
	sbrs	acc,ueberspg	; ber 560V?
	rjmp    bet1c
	ldi		acc,3
	sts		meldungen,acc
	ldi		acc,0b0000011
	sts		betsta,acc
	ret
; ber 50 Grad? Lfter steuern
bet1c:
	lds		acc,temperatur+1
	ldi		acc2,low(grad50)
	sub		acc,acc2
	lds		acc,temperatur
	ldi		acc2,high(grad50)
	sbc		acc,acc2
	brcs	bet1d
	sbi		portb,luefter
	rjmp	bet1e
bet1d:
	cbi		portb,luefter
; normaler Betrieb
bet1e:
	cbi		portb,led
	clr		acc
	sts		meldungen,acc
	cbi		portd,alleaus	
	ret	

; Sperre bis zum ausschalten!
bet2:
	sbi		portb,led
	sbi		portd,alleaus
	ret
	
	
	
			

	
	
