;-------------------------------------
; LCD init
; ------------------------------------

lcdinit:
	cbi	portb,lcdsclk
	cbi	portd,lcdrst
	rcall	warten16ms
	rcall	warten16ms
	rcall	warten16ms
	sbi	portd,lcdrst
	rcall	warten16ms

	ldi	acc,BasicCommand 	; 0x30
	rcall	lcd_instr_sender
	rcall	warten
	ldi	acc,ClearScreen		;0x01
	rcall	lcd_instr_sender
	rcall	warten16ms
	
	ldi	acc,AddrBackO 		;0x02
	rcall	lcd_instr_sender
	rcall	warten
	ldi	acc,CurserOff		;0x0c
	rcall	lcd_instr_sender
	rcall	warten
	ldi	acc,ClearScreen 	; 0x01
	rcall	lcd_instr_sender
	rcall	warten16ms
	ldi	acc,CurserLeft  	; 0x06
	rcall	lcd_instr_sender

;	ldi	acc,0b00100110		; Grafik ein
;	rcall	lcd_instr_sender
;	rcall	warten
;	ldi	acc,0b00100100		; Grafik aus
;	rcall	lcd_instr_sender
;	rcall	warten
;	ldi	acc,0b00100110		; Grafik ein
;	rcall	lcd_instr_sender
;	rcall	warten
	

  ret
	
; 16,38ms warten
warten16ms:
	ldi	acc2,255
wrtn16:
	rcall	warten
	dec	acc2
	brne	wrtn16
	ret
	
; 64us warten
warten:
	ldi	acc,255
wrtn1:
	nop
	dec	acc
	brne	wrtn1
	ret
