; ---------------------------------------
; DAA Dezimalwerte justieren, max. 2.3us (8MHz)
; ---------------------------------------
; Eingang und Ausgang: acc

daa:
	push	acc2
	push	acc3
	mov	acc2,acc
	brhc	daah0
	brcc	daac0h1
	rjmp	daac1h1
daah0:
	brcc	daac0h0

; C=1 + H=0

	in	acc3,sreg
	push	acc3

	andi	acc,0x0f
	cpi	acc,0xa
	brcc	daadj1
	ldi	acc,0x60
	rjmp	daadj2
daadj1:
	ldi	acc,0x66
daadj2:
	add	acc,acc2
	pop	acc3
	out	sreg,acc3
	pop	acc3
	pop	acc2
	ret

; C=0 + H=1

daac0h1:
	cpi	acc,0xa0
	brcc	daadj5
	ldi	acc,0x6
	rjmp	daadj6
daadj5:
	ldi	acc,0x66
daadj6:
	add	acc,acc2
	pop	acc3
	pop	acc2
	ret

; C=1 + H=1

daac1h1:
	in	acc3,sreg
	push	acc3

	ldi	acc,0x66
	add	acc,acc2
	pop	acc3
	out	sreg,acc3
	pop	acc3
	pop	acc2
	ret

; C=0 + H=0

daac0h0:
	cpi	acc,0xa0
	brcc	daadj13
	mov	acc,acc2
	andi	acc,0x0f
	cpi	acc,0xa
	brcc	daadj11
	mov	acc,acc2
	clc
	pop	acc3
	pop	acc2
	ret
daadj11:
	mov	acc,acc2
	ldi	acc3,0x6
	add	acc,acc3
	cpi	acc,0xa0
	brcc	daadj12
	clc
	pop	acc3
	pop	acc2
	ret
daadj12:
	ldi	acc3,0x60
	add	acc,acc3
	pop	acc3
	pop	acc2
	ret
daadj13:
	mov	acc,acc2
	andi	acc,0xf
	cpi	acc,0xa
	brcc	daadj14
	mov	acc,acc2
	ldi	acc3,0x60
	add	acc,acc3
	pop	acc3
	pop	acc2
	ret
daadj14:
	mov	acc,acc2
	ldi	acc3,0x66
	add	acc,acc3
	pop	acc3
	pop	acc2
	ret

; Dezimalkorrektur nach einer Subtraktion mit sub oder sbc
; Eingang: acc
; Ausgang: acc
; Zeit: ca. 2us (MHz)
das:
	push	r17
	in	r17,sreg
	push	r17
	clr	r17
	brcc	das1
	inc	r17
das1:
	brhc	das2
	subi	r16,6
das2:
	sbrs	r17,0
	rjmp	das3
	subi	r16,0x60
	pop	r17
	out	sreg,r17
	sec
	rjmp	das4
das3:
	pop	r17
	out	sreg,r17
	clc
das4:
	pop	r17
	ret	

