; Eingang: Messwert in acc2,acc3, 
; Ausgang: r3,r4,r5,r6 9999, Ascii
binasc4:
	rcall   bin13dec4			; acc2,3 -> acc2,3 H/L
	mov		acc,acc2
	swap	acc
	andi	acc,0x0f
	ori		acc,0x30
	mov		r3,acc
	mov		acc,acc2
	andi	acc,0x0f
	ori		acc,0x30
	mov		r4,acc
	mov		acc,acc3
	swap	acc
	andi	acc,0x0f
	ori		acc,0x30
	mov		r5,acc
	mov		acc,acc3
	andi	acc,0x0f
	ori		acc,0x30
	mov		r6,acc
	ret

; 13 bit nach BCD
; Eingang: acc2,acc3
; Ausgang: acc2,acc3, max. 9999
bin13dec4:
;	mov		acc,acc2
;	andi	acc,0xf0
;	breq	b12d4a		; Wert zu Hoch?
;	ldi		acc3,0x96	; ja, auf 4096 setzen
;	ldi		acc2,0x40
;	ret
b12d4a:
; Nibble 0		
	mov		acc,acc3
	andi	acc,0x0f
	cpi		acc,10
	brcs	b12d4b
	subi	acc,-6		; +6
b12d4b:
	mov		r11,acc
; Nibble 1
	mov		acc,acc3
	swap	acc
	andi	acc,0x0f
	ldi		zh,high(bdtab1*2)
	ldi		zl,low(bdtab1*2)
	lsl		acc		; * 2 wegen DW
	add		zl,acc
	ldi		acc,0
	adc		zh,acc
	lpm		acc,z+		; NW
	lpm		r10,z+		; HW
	add		acc,r11
	rcall	daa
	mov		r11,acc
	ldi		acc,0
	adc		acc,r10
	rcall	daa
	mov		r10,acc
; Nibble 2
	ldi		zh,high(bdtab2*2)
	ldi		zl,low(bdtab2*2)
	mov		acc,acc2
	andi	acc,0x0f
	lsl		acc
	add		zl,acc
	ldi		acc,0
	adc		zh,acc
	lpm		acc,z+		; NW
	add		acc,r11
	rcall	daa
	mov		r11,acc
	lpm		acc,z+		; HW
	adc		acc,r10
	rcall	daa
	mov		r10,acc
; Nibble 3
	ldi		zh,high(bdtab3*2)
	ldi		zl,low(bdtab3*2)
	mov		acc,acc2
	swap	acc
	andi	acc,0x0f
	cpi		acc,3			; berlauf?
	brcc    b12d4f			; ja
	lsl		acc
	add		zl,acc
	ldi		acc,0
	adc		zh,acc
	lpm		acc,z+		; NW
	add		acc,r11
	rcall	daa
	mov		r11,acc
	lpm		acc,z+		; HW
	adc		acc,r10
	rcall	daa
	mov		acc2,acc
	brcs	b12d4f
	mov		acc3,r11
	ret
; berlauf
b12d4f:
	ldi		acc2,high(9999)
	ldi		acc3,low(9999)
	ret
	
bdtab1:
	.dw	0,0x16,0x32,0x48,0x64,0x80,0x96,0x112
	.dw	0x128,0x144,0x160,0x176,0x192,0x208,0x224,0x240
bdtab2:
	.dw	0,0x256,0x512,0x768,0x1024,0x1280,0x1536,0x1792
	.dw	0x2048,0x2304,0x2560,0x2816,0x3072,0x3328,0x3584,0x3840
bdtab3:
	.dw	0,0x4096,0x8192,0x9999
	