	.include "ram.inc"
	.include "m88def.inc"
	.include "allgdef.inc"


	.cseg

    rjmp	start

	.org	0x100


start:

; RAM lschen
	ldi	zh,high(0x200)
	ldi	zl,low(0x200)
	ldi	acc2,high(clrende)
	ldi	acc3,low(clrende)
	clr	acc
ramclr:
	st	z+,acc
	cp	acc3,zl
	cpc	acc2,zh
	brcc	ramclr
	
; Stack
	ldi	r16,low(ramend)
	out	spl,r16
	ldi	r16,high(ramend)
	out	sph,r16

; Ports einstellen
	
	ldi	r16,0b11111111
	out	ddrb,r16		; B = PP
	ldi	r16,0b11111111
	out	portb,r16
	
	ldi	r16,0b00000000
	out	ddrc,r16		; C = Inp ohne PU
	ldi	r16,0b00000000
	out	portc,r16
	
	ldi	r16,0b11111011
	out	ddrd,r16		; D = PP
	ldi	r16,0b11111111
	out	portd,r16
	
; Lfter aus
	cbi		portb,luefter
	
; LCD
	rcall	lcdinit
	ldi		fixtext,0x0f
	
; Textkopien mit ff fllen
	ldi		yl,low(textkopie)
	ldi		yh,high(textkopie)
    ldi     acc2,18
    ldi		acc,0xff
fuellff:
	st		y+,acc
	dec		acc2
	brne	fuellff
	
; Leistungsstufe setzen damit I1/I2  Anzeige geht
	ldi		acc,8
	sts		leistungsstufe,acc
	
		
hp:
	rcall	TextZumLcd
	rcall	monitor
	rcall	anacon
	rcall	betrieb
	rcall	inout
    rcall	textcon
	rjmp	hp



	.include "lcdsnd.asm"
	.include "lcdinit.asm"
	.include "textzumlcd.asm"
	.include "monitor.asm"
	.include "texte.asm"
	.include "diverse.asm"
	.include "konvert.asm"
	.include "flp.asm"
	.include "daa.asm"
	.include "anainp.asm"
	.include "anacon.asm"
	.include "rechnen.asm"
	.include "betrieb.asm"
	.include "inout.asm"
	.include "textcon.asm"
	
