;--------------------------------------------------------------
; 1 Byte in acc zum LCD, Instruktionsregister
;--------------------------------------------------------------
lcd_instr_sender:
cbr	merker1,(1<<setrs)
rjmp	lcd_sender

;--------------------------------------------------------------
; 1 Byte in acc zum LCD, Datenregister
;--------------------------------------------------------------
lcd_daten_sender:
sbr	merker1,(1<<setrs)
rjmp	lcd_sender

;---------------------------------------------------------------
; Serielle bertragung zum LCD
;---------------------------------------------------------------
lcd_sender:
sbi portd,6
sbi	portb,lcdcs
sbi	portb,lcdsid
sbi	portb,lcdsclk
cbi	portb,lcdsclk	;CLR SCLK 1
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 2
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 3
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 4
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 5
cbi	portb,lcdsid
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 6
sbrc	merker1,setrs 		; 2
sbi	portb,lcdsid   	; 2
sbrs	merker1,setrs           ; 1
cbi	portb,lcdsid    ; - 5 Zyklen immer, bei 8MHz/2 = 0,25*5=1,25us
sbi	portb,lcdsclk
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 7
cbi	portb,lcdsid
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 8
sbrc	acc,7 		; 2
sbi	portb,lcdsid   	; 2
sbrs	acc,7           ; 1
cbi	portb,lcdsid    ; - 5 Zyklen immer, bei 8MHz/2 = 0,25*5=1,25us
sbi	portb,lcdsclk
cbi	portb,lcdsclk 	; CLR SCLK  9
sbrc	acc,6 		; 2
sbi	portb,lcdsid   	; 2
sbrs	acc,6           ; 1
cbi	portb,lcdsid    ; - 5 Zyklen immer, bei 8MHz/2 = 0,25*5=1,25us
sbi	portb,lcdsclk
cbi	portb,lcdsclk 	; CLR SCLK 10
sbrc	acc,5 		; 2
sbi	portb,lcdsid   	; 2
sbrs	acc,5           ; 1
cbi	portb,lcdsid    ; - 5 Zyklen immer, bei 8MHz/2 = 0,25*5=1,25us
sbi	portb,lcdsclk
cbi	portb,lcdsclk 	; CLR SCLK 11
sbrc	acc,4 		; 2
sbi	portb,lcdsid   	; 2
sbrs	acc,4           ; 1
cbi	portb,lcdsid    ; - 5 Zyklen immer, bei 8MHz/2 = 0,25*5=1,25us
sbi	portb,lcdsclk
cbi	portb,lcdsclk 	; CLR SCLK 12
cbi	portb,lcdsid	;CLR SID ; SID = 0
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsid
cbi	portb,lcdsclk	;CLR SCLK 13
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 14
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 15
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 16
sbrc	acc,3 		; 2
sbi	portb,lcdsid   	; 2
sbrs	acc,3           ; 1
cbi	portb,lcdsid    ; - 5 Zyklen immer, bei 8MHz/2 = 0,25*5=1,25us
sbi	portb,lcdsclk
cbi	portb,lcdsclk 	; CLR SCLK 17
sbrc	acc,2 		; 2
sbi	portb,lcdsid   	; 2
sbrs	acc,2           ; 1
cbi	portb,lcdsid    ; - 5 Zyklen immer, bei 8MHz/2 = 0,25*5=1,25us
sbi	portb,lcdsclk
cbi	portb,lcdsclk 	; CLR SCLK 18
sbrc	acc,1 		; 2
sbi	portb,lcdsid   	; 2
sbrs	acc,1           ; 1
cbi	portb,lcdsid    ; - 5 Zyklen immer, bei 8MHz/2 = 0,25*5=1,25us
sbi	portb,lcdsclk
cbi	portb,lcdsclk 	; CLR SCLK 19
sbrc	acc,0 		; 2
sbi	portb,lcdsid   	; 2
sbrs	acc,0           ; 1
cbi	portb,lcdsid    ; - 5 Zyklen immer, bei 8MHz/2 = 0,25*5=1,25us
sbi	portb,lcdsclk
cbi	portb,lcdsclk 	; CLR SCLK 20
cbi	portb,lcdsid	;CLR SID ; SID = 0
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 21
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 22
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 23
sbi	portb,lcdsclk	;SETB SCLK ; READ DATA FROM SID
cbi	portb,lcdsclk	;CLR SCLK 24
cbi	portb,lcdcs	;CLR CS
cbi portd,6
ret

