; -----------------------------------------------------------
; MONITOR
; -----------------------------------------------------------
; startet die Anzeige auf dem LCD.
; Variablen Teil anzeigen: (R)vartext
; Fixen Teil anzeigen: (R)fixtext=0x0f
; meldetext: (D)meldungen, eine Text-Nr
;

monitor:
	sbrc	merker1,lcdaktiv	; Gestartet?
	ret
	tst		fixtext
	breq	monitorv							; ja
	clr		acc
	sts		monsta,acc
monitorv:
	ldi		zl,low(monitortab*2)
	ldi		zh,high(monitortab*2)
	lds		acc,MonSta
	rcall	sprung
	ijmp

monitortab:
	.dw	mon0
	.dw	mon1
	.dw	mon2
	.dw	mon3
	.dw	mon4
	.dw	mon5
	.dw	mon6
	.dw	mon7
	.dw	mon8
	.dw	mon9
	.dw	mon10
	.dw	mon11

; -------------------------
; 4 Zeilen Anfangs-Text
; -------------------------
;
; Eingang: (D)fixtext, Quittung durch lschen der bits

mon0:
	tst		fixtext			; ist Bild komplett?
	brne	mon0a		; nein
	rjmp	monnext		; ja
; Zeile 1
mon0a:
	sbrs	fixtext,0
	rjmp	mon0b
	cbr		fixtext,(1<<0)
	ldi		zl,low(txtzeile1*2)
	ldi		zh,high(txtzeile1*2)
	rjmp	mon0ende	

; Zeile 2
mon0b:
	sbrs	fixtext,1
	rjmp	mon0c
	cbr		fixtext,(1<<1)
	ldi		zl,low(txtzeile2*2)
	ldi		zh,high(txtzeile2*2)
	rjmp	mon0ende

; Zeile 3
mon0c:
	sbrs	fixtext,2
	rjmp	mon0d
	cbr		fixtext,(1<<2)
	ldi		zl,low(txtzeile3*2)
	ldi		zh,high(txtzeile3*2)
	rjmp	mon0ende
	
; Zeile 4
mon0d:
	sbrs	fixtext,3
	rjmp	mon0e
	cbr		fixtext,(1<<3)
	ldi		zl,low(txtzeile4*2)
	ldi		zh,high(txtzeile4*2)
	rjmp	mon0ende

mon0ende:
    ldi     lcdzeiger,18
	rcall	kopierecnachd
	sbr		merker1,(1<<lcdaktiv)
mon0e:	
	rjmp	monnext
	

; ------------------------
; variable Texte / Ziffern
; ------------------------
; bits in (D)vartext fordern neuen Text an

; Zeile 1 Sollwert U1 anzeigen
mon1:
	sbrs	vartext,0
	rjmp	monnext
	cbr     vartext,(1<<0)
	rcall	u1sollzumlcdpuffer
	rjmp	monnext
	
; Zeile 1 Sollwert U2 anzeigen
mon2:
	sbrs	vartext,1
	rjmp	monnext
	cbr     vartext,(1<<1)
	rcall	u2sollzumlcdpuffer
	rjmp	monnext

; Zeile 2 Sollwert I1 anzeigen
mon3:
	sbrs	vartext,2
	rjmp	monnext
	cbr     vartext,(1<<2)
	rcall	i1sollzumlcdpuffer
	rjmp	monnext

; Zeile 2 Sollwert I2 anzeigen
mon4:
	sbrs	vartext,3
	rjmp	monnext
	cbr     vartext,(1<<3)
	rcall	i2sollzumlcdpuffer
	rjmp	monnext

; Zeile 3 Sollwerte P und I vom Leistungsschalter
mon5:
	sbrs	vartext,4
	rjmp	monnext
	cbr     vartext,(1<<4)
	rcall	pimaxzumlcdpuffer
	rjmp	monnext

; Zeile 3 berechnete Leistung anzeigen
mon6:
	sbrs	vartext,5
	rjmp	monnext
	cbr     vartext,(1<<5)
	rcall	pistzumlcdpuffer
	rjmp	monnext

; Zeile 4 Fehlermeldungen
mon7:
	sbrs	merker1,mldanzeigen
	rjmp	monnext
	cbr     merker1,(1<<mldanzeigen)
	rcall	holemeldeadr
    rjmp    monnext
	
; Zeile 4 gemessene Werte 
mon8:
	sbrs	vartext,6
	rjmp	monnext
	cbr     vartext,(1<<6)
	rcall	istzumlcdpuffer
	rjmp	monnext

; Zeile 4 Temperatur 
mon9:
	sbrs	vartext,7
	rjmp	monnext
	cbr     vartext,(1<<7)
	rcall	tempzumlcdpuffer
	rjmp	monnext

; U-Regler anzeigen
mon10:
	sbrs	merker1,uanzeigen
	rjmp	monnext
	cbr     merker1,(1<<uanzeigen)
	rcall	ureglerzumlcdpuffer
	rjmp    monnext
	
; I-Regler anzeigen
mon11:
	sbrs	merker1,ianzeigen
	rjmp	mon10a
	cbr     merker1,(1<<ianzeigen)
	rcall	ireglerzumlcdpuffer
mon10a:
	clr      acc
    sts     monsta,acc
    ret

; ---------------------

monnext:
	lds		acc,monsta
	inc		acc
	sts		monsta,acc
	ret
