; ---------------------------------------------------------------
; ram.asm: Definition der Register und Datensegment
; ---------------------------------------------------------------
; Register, bitadressierbar mit sbrc,sbrs: r0 bis r15

; r0 und r1 = nicht umdefinieren!

.def	softtimer=r15

; -------------------------------------------------------------
; Register, bitadressierbar mit cbr,sbr,sbrc,sbrs,ser: r16 bis r31

.def	acc=r16
.def	acc2=r17
.def	acc3=r18
.def	acc4=r19
.def	merker1=r20
.def	vartext=r21
.def	fixtext=r22
.def	lbyte=r23
.def	hbyte=r24
.def	lcdzeiger=r25 	; wird auch als Zhler in flp.asm verwendet


; 26,27=x 28,29=y 30,31=z

; -------------------------------------------------------------
; SRAM

	.dseg
	.org	0x200
	
lcdpuffer:	.byte	18
monsta:		.byte	1
anasta:		.byte	1
betsta:		.byte	1
aritin:		.byte	3
aritout:	.byte	3
inbytec:	.byte	3
sollu1:		.byte	2
sollu2:		.byte	2
solli1:		.byte	2
solli2:		.byte	2
leistungsstufe:		.byte	1
istu:		.byte	6
isti:		.byte	6
temperatur:	.byte	5
meldungen:	.byte	1
textkopie:	.byte	18


clrende:	.byte	1		; bis hier wird gelscht

